# QDomElement Class Reference

### [com.trolltech.qt.xml package]

Inherits QDomNode.

### Constructor

- void QDomElement()
- void QDomElement(QDomElement x)

### Constructor Properties

- prototype: The QDomElement prototype object

### Prototype Object Properties

The QDomElement prototype object inherits properties from the QDomNode prototype object and also has the following properties.

- String attribute(String name, String defValue)
- String attributeNS(String nsURI, String localName, String defValue)
- QDomAttr attributeNode(String name)
- QDomAttr attributeNodeNS(String nsURI, String localName)
- QDomNamedNodeMap attributes()
- QDomNodeList elementsByTagName(String tagname)
- QDomNodeList elementsByTagNameNS(String nsURI, String localName)
- bool hasAttribute(String name)
- bool hasAttributeNS(String nsURI, String localName)
- void removeAttribute(String name)
- void removeAttributeNS(String nsURI, String localName)
- QDomAttr removeAttributeNode(QDomAttr oldAttr)
- void setAttribute(String name, String value)
- void setAttributeNS(String nsURI, String qName, String value)
- QDomAttr setAttributeNode(QDomAttr newAttr)
- QDomAttr setAttributeNodeNS(QDomAttr newAttr)
- void setTagName(String name)
- String tagName()
- String text()

### Instance Properties

QDomElement objects have no special properties beyond those inherited from the QDomElement prototype object.